@mixin font-size-16 {
    font-size: 16px;
}

@mixin font-size-15 {
    font-size: 15px;
}

@mixin font-size-14 {
    font-size: 14px;
}

@mixin fontBold {
    font-weight: bold;
}

@mixin uppercase {
    text-transform: uppercase;
}

@mixin capitalize {
    text-transform: capitalize;
}

@mixin line($height,$margin-left,$span-top) {
    border-left: 5px solid $colorRed;
    margin-right: auto;
    height: $height;
    margin-left: $margin-left;

    span {
        top: $span-top;
        @include line-height;

    }
}

@mixin btn-read-homePage($width) {
    @include font-size-16;
    color: $colorGray;
    background-color: $colorRed;
    border-color: $colorRed;
    padding: 8px;
    width: $width;
    border-radius: 0px;
}

@mixin footer-widget-title {
    @include font-size-15;
    margin-bottom: 0px;
    font-weight: bold;
    color: $colorOrange !important;
    font-family: $montserratFont;
}

@mixin read-more {
    font-weight: bold;
    color: $colorRed;
    text-decoration: auto;
    @include uppercase;
}

@mixin container {
    width: 100%;
}

@mixin line-height {
    position: relative;
    left: 10%;
}

@mixin text-overflow {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@mixin bigTitleGreen {
    @include uppercase;
    letter-spacing: 0px;
    color: $colorGreen;
    font-size: 48px;
    line-height: 78px;
    font-family: $SerifFont;
    @include fontBold;
}

@mixin bigTitleRed {
    font-family: $SerifFont;
    color: $colorRed;
    font-weight: 500;
    font-size: 103px;
}

@mixin mediumTitleRed {
    font-family: $SerifFont;
    color: $colorRed;
    font-weight: 500;
    font-size: 75px;
}

@mixin titleWhite {
    @include capitalize;
    color: $colorWhite;
    font-family: $montserratFontMedium;
    font-size: 28px;
}

@mixin backGroundCoverHomePage($img) {
    background-image: url($img);
    background-size: cover;
}

@mixin backGroundCoverService($img) {
    background: url($img) 0% 0% no-repeat padding-box;
    background-size: cover;
}

@mixin card {
    border-radius: 0px;
    border-color: #EDDCD0;
    box-shadow: 0px 0px 15px #eddcd0;

    .card-body-custom {
        background-color: $colorWhite;
        padding: 7%;

        .card-title-custom {
            @include capitalize;
            color: $colorGreen;

            .document-number {
                @include fontBold;
                color: $colorRed;
                font-size: 28px;
            }
        }

        .card-text-custom {
            padding-left: 8%;
            color: $colorGreen;
        }

        .font-bold {
            @include fontBold;
        }
    }
}

@mixin show-more-card{
    color: $colorRed;
    text-align: center;
    padding: 5%;
    @include fontBold;
    @include font-size-16;
}

@mixin big-title-with-text($width){

    .row {

        .row-content {
            h2 {
                @include bigTitleGreen;
                font-family: $montserratFontSemiBold;

                .quality-word {
                    @include bigTitleRed;
                }
            }
        }

        .btn-get-qoute-footer {
            @include btn-read-homePage($width);
            @include uppercase;
        }
    }

}



